Bug 1320816 - osp-director: ironic-inspector service is missing from undercloud catalog - upstream backport needed
Summary: osp-director: ironic-inspector service is missing from undercloud catalog - u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 8.0 (Liberty)
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: James Slagle
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-24 03:51 UTC by Gilles Dubreuil
Modified: 2019-02-17 03:55 UTC (History)
5 users (show)

Fixed In Version: instack-undercloud-4.0.0-2.el7ost
Doc Type: Bug Fix
Doc Text:
The ironic-inspector was not included in the Keystone endpoint catalog in the Undercloud. This meant you could not discover the API endpoints for ironic-inspector through the catalog. This fix adds the ironic-inspector API endpoints to the Keystone catalog. You can now discover the ironic-inspector API endpoints through the catalog.
Clone Of:
Environment:
Last Closed: 2016-08-11 11:29:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1599 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 director Release Candidate Advisory 2016-08-11 15:25:37 UTC
OpenStack gerrit 260207 None None None 2016-04-12 08:21:10 UTC

Description Gilles Dubreuil 2016-03-24 03:51:58 UTC
Openstack service 'ironic-inspector' is missing from the undercloud catalog.
The service is installed and running properly but the service and endpoints are missing.

This is a *blocker*, for instance, for fog-openstack to interface with the inspector service's API.

instack-undercloud upstream version does configure the service:
https://github.com/openstack/instack-undercloud/blob/master/elements/puppet-stack-config/puppet-stack-config.pp#L153
https://github.com/openstack/instack-undercloud/blob/master/elements/puppet-stack-config/puppet-stack-config.yaml.template#L352-L357

rpm -qa | grep tripleo
openstack-tripleo-0.0.7-1.el7ost.noarch
openstack-tripleo-heat-templates-kilo-0.8.12-2.el7ost.noarch
openstack-tripleo-common-0.3.0-3.el7ost.noarch
python-tripleoclient-0.3.1-1.el7ost.noarch
openstack-tripleo-heat-templates-0.8.12-2.el7ost.noarch
openstack-tripleo-puppet-elements-0.0.5-1.el7ost.noarch
openstack-tripleo-image-elements-0.9.9-1.el7ost.noarch


Workaround: create introspection service and endpoints:

[stack@undercloud ~]$ openstack service create --name inspector --description "OpenStack Introspection" introspection
+-------------+----------------------------------+
| Field       | Value                            |
+-------------+----------------------------------+
| description | OpenStack Introspection          |
| enabled     | True                             |
| id          | c10122ad586b4b5c8a1a4fdd23c8285a |
| name        | inspector                        |
| type        | introspection                    |
+-------------+----------------------------------+

[stack@undercloud ~]$ openstack endpoint create --region regionOne inspector --publicurl http://192.0.2.1:5050/v1 --internalurl http://192.0.2.1:5050/v1 --adminurl http://192.0.2.1:5050/v1
+--------------+----------------------------------+
| Field        | Value                            |
+--------------+----------------------------------+
| adminurl     | http://192.0.2.1:5050/v1         |
| id           | aae25cb9f3c54c6ab76556098eb2ed43 |
| internalurl  | http://192.0.2.1:5050/v1         |
| publicurl    | http://192.0.2.1:5050/v1         |
| region       | regionOne                        |
| service_id   | c10122ad586b4b5c8a1a4fdd23c8285a |
| service_name | inspector                        |
| service_type | introspection                    |
+--------------+----------------------------------+

[stack@undercloud ~]$ openstack catalog list
+------------+---------------+-------------------------------------------------------------------------------+
| Name       | Type          | Endpoints                                                                     |
+------------+---------------+-------------------------------------------------------------------------------+
| inspector  | introspection | regionOne                                                                     |
|            |               |   publicURL: http://192.0.2.1:5050/v1                                         |
|            |               |   internalURL: http://192.0.2.1:5050/v1                                       |
|            |               |   adminURL: http://192.0.2.1:5050/v1                                          |
...(snip)...

Comment 2 Mike Burns 2016-04-07 21:36:02 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 9 errata-xmlrpc 2016-08-11 11:29:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1599.html


Note You need to log in before you can comment on or make changes to this bug.